Bug 116127 - New port: ports-mgmt/lskobs - List supported knobs and options for a port
Summary: New port: ports-mgmt/lskobs - List supported knobs and options for a port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-05 18:30 UTC by Charlie &
Modified: 2008-01-24 15:10 UTC (History)
1 user (show)

See Also:


Attachments
lsknobs (5.11 KB, text/plain)
2007-09-05 18:30 UTC, Charlie &
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie & 2007-09-05 18:30:03 UTC
This is a tiny shell script that I wrote, which lists all knobs and
options supported by a port and its dependencies, with color as an
option (if CLICOLOR variable is set). I tested it with gnome2 metaport
and portlint, everything seems ok. It requires portconf, from which I
copied the Makefile to make this port.
Comment 1 Edwin Groothuis freebsd_committer 2007-09-05 18:30:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants his PRs 

http://www.freebsd.org/cgi/query-pr.cgi?pr=116127 

Adding to audit trail from misfiled PR ports/116145:
 
Date: Thu, 6 Sep 2007 09:23:20 +0200
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2008-01-24 08:07:29 UTC
Responsible Changed
From-To: itetcu->freebsd-ports-bugs

With bugmeister hat on, reset itetcu's ownership of this one, since he has 
been inactive for some time.
Comment 3 Martin Wilke freebsd_committer 2008-01-24 15:01:00 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 4 Gabriel Linder 2008-01-24 15:01:24 UTC
miwi        2008-01-24 15:01:12 UTC

  FreeBSD ports repository

  Modified files:
    ports-mgmt           Makefile 
  Added files:
    ports-mgmt/lsknobs   Makefile pkg-descr 
    ports-mgmt/lsknobs/files lsknobs.sh.in pkg-message.in 
  Log:
  lsknobs is a simple sh(1) script designed to help configure
  ports knobs and options by listing them together with their
  status (either enabled or not). It uses portconf for knobs.
  
  PR:             ports/116127
  Submitted by:   Gabriel Linder <linder.gabriel at gmail.com>
  
  Revision  Changes    Path
  1.10      +1 -0      ports/ports-mgmt/Makefile
  1.1       +33 -0     ports/ports-mgmt/lsknobs/Makefile (new)
  1.1       +108 -0    ports/ports-mgmt/lsknobs/files/lsknobs.sh.in (new)
  1.1       +12 -0     ports/ports-mgmt/lsknobs/files/pkg-message.in (new)
  1.1       +3 -0      ports/ports-mgmt/lsknobs/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"